package org.richfaces.realworld.service;

import java.util.List;
import java.util.Map;

import javax.ejb.Local;
import javax.ejb.Remove;

import org.jboss.seam.annotations.Destroy;
import org.richfaces.realworld.domain.Image;
@Local
public interface ISearchService {

	public abstract List<Image> searchImages(String searchPattern, String additionalParams, Map<String, Object> paramMap);

	public List<Image> popularImages(String additionalParams, Map<String, Object> paramMap);
	
	public List<Image> worstImages(String additionalParams, Map<String, Object> paramMap);
	
	@Remove
	public void remove();
	
	@Destroy
	public void destroy();
}